package stackjava.com.hibernatedemo.dao;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import stackjava.com.hibernatedemo.entities.Employee;

public class DemoSave {

	public static void main(String[] args) {
		EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("persistence");
		EntityManager entityManager = entityManagerFactory.createEntityManager();
		entityManager.getTransaction().begin();

		
		Employee emp = new Employee();
		emp.setName("kai");
		entityManager.persist(emp);
		
		List<String> positions = new ArrayList<>();
		positions.add("Developer");
		positions.add("Tester");
		
		emp.setPositions(positions);
		
		entityManager.getTransaction().commit();
		
		System.out.println(emp);
		
		entityManager.close();
		entityManagerFactory.close();
	}

}
